{{- range untilStep 1 ( .Values.global.nodeCount | int | add1 | int) 1 }}
---
apiVersion: v1 
kind: Service
metadata:
  name: {{ $.Release.Name }}-{{ $.Values.global.datanode.serviceName }}-{{ . }}
spec:
  type: ClusterIP
  ports:
    - targetPort: 9864
      port: 9864

  selector:
    node: {{ $.Release.Name }}-datanode-{{ . }}

{{- end}}
